cURL
curl --request PATCH "https://rxresu.me/api/openapi/applications/<id>/interviews/<entryId>" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{}'import requests
url = "https://rxresu.me/api/openapi/applications/{id}/interviews/{entryId}"
payload = {
"at": "2023-11-07T05:31:56Z",
"durationMinutes": 722,
"location": "<string>",
"notes": "<string>",
"participants": [
{
"name": "<string>",
"role": "",
"profileUrl": "<string>"
}
],
"timezone": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
at: '2023-11-07T05:31:56Z',
durationMinutes: 722,
location: '<string>',
notes: '<string>',
participants: [{name: '<string>', role: '', profileUrl: '<string>'}],
timezone: '<string>'
})
};
fetch('https://rxresu.me/api/openapi/applications/{id}/interviews/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/applications/{id}/interviews/{entryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'at' => '2023-11-07T05:31:56Z',
'durationMinutes' => 722,
'location' => '<string>',
'notes' => '<string>',
'participants' => [
[
'name' => '<string>',
'role' => '',
'profileUrl' => '<string>'
]
],
'timezone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/applications/{id}/interviews/{entryId}"
payload := strings.NewReader("{\n \"at\": \"2023-11-07T05:31:56Z\",\n \"durationMinutes\": 722,\n \"location\": \"<string>\",\n \"notes\": \"<string>\",\n \"participants\": [\n {\n \"name\": \"<string>\",\n \"role\": \"\",\n \"profileUrl\": \"<string>\"\n }\n ],\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://rxresu.me/api/openapi/applications/{id}/interviews/{entryId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"at\": \"2023-11-07T05:31:56Z\",\n \"durationMinutes\": 722,\n \"location\": \"<string>\",\n \"notes\": \"<string>\",\n \"participants\": [\n {\n \"name\": \"<string>\",\n \"role\": \"\",\n \"profileUrl\": \"<string>\"\n }\n ],\n \"timezone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/applications/{id}/interviews/{entryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"at\": \"2023-11-07T05:31:56Z\",\n \"durationMinutes\": 722,\n \"location\": \"<string>\",\n \"notes\": \"<string>\",\n \"participants\": [\n {\n \"name\": \"<string>\",\n \"role\": \"\",\n \"profileUrl\": \"<string>\"\n }\n ],\n \"timezone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"company": "<string>",
"role": "<string>",
"location": "<string>",
"salary": "<string>",
"status": "saved",
"closedReason": "accepted",
"resumeId": "<string>",
"coverLetterId": "<string>",
"sentResumeVersionId": "<string>",
"sentCheckScore": 0,
"sentCoverLetterVersionId": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"sourceUrl": "<string>",
"jobDescription": "<string>",
"postingSource": {
"method": "paste",
"format": "text",
"truncated": true,
"completeness": "unknown",
"requestedUrl": "<string>",
"resolvedUrl": "<string>",
"retrievedAt": "2023-11-07T05:31:56Z",
"providerFetchedAt": "2023-11-07T05:31:56Z",
"language": "<string>",
"fallbackReason": "unsafe-url"
},
"postingFileUrl": "<string>",
"postingFileName": "<string>",
"requirements": [
"<string>"
],
"matchScore": 50,
"aiMetadata": {},
"notes": "<string>",
"resumeFileUrl": "<string>",
"resumeFileName": "<string>",
"coverLetterUrl": "<string>",
"coverLetterName": "<string>",
"followUpAt": "2023-11-07T05:31:56Z",
"followUpNote": "<string>",
"contacts": [
{
"name": "<string>",
"role": "",
"type": "",
"email": "",
"phone": ""
}
],
"activity": [
{
"id": "<string>",
"at": "2023-11-07T05:31:56Z",
"type": "stage",
"stage": "saved",
"laneId": "<string>",
"laneLabel": "<string>",
"closedReason": "accepted",
"canonicalTransition": true,
"dateUnknown": true,
"writeSequence": 0
}
],
"appliedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"laneId": "<string>",
"followUpDateOnly": true,
"trashedAt": "2023-11-07T05:31:56Z",
"replyVersion": "<string>",
"contactsVersion": "<string>"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Applications
Update a scheduled interview
Updates an interview timeline entry (date-time, kind, duration, location, notes). Only provided fields are changed. Delete interviews with the timeline entry delete endpoint. Requires authentication.
PATCH
/
applications
/
{id}
/
interviews
/
{entryId}
cURL
curl --request PATCH "https://rxresu.me/api/openapi/applications/<id>/interviews/<entryId>" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{}'import requests
url = "https://rxresu.me/api/openapi/applications/{id}/interviews/{entryId}"
payload = {
"at": "2023-11-07T05:31:56Z",
"durationMinutes": 722,
"location": "<string>",
"notes": "<string>",
"participants": [
{
"name": "<string>",
"role": "",
"profileUrl": "<string>"
}
],
"timezone": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
at: '2023-11-07T05:31:56Z',
durationMinutes: 722,
location: '<string>',
notes: '<string>',
participants: [{name: '<string>', role: '', profileUrl: '<string>'}],
timezone: '<string>'
})
};
fetch('https://rxresu.me/api/openapi/applications/{id}/interviews/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/applications/{id}/interviews/{entryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'at' => '2023-11-07T05:31:56Z',
'durationMinutes' => 722,
'location' => '<string>',
'notes' => '<string>',
'participants' => [
[
'name' => '<string>',
'role' => '',
'profileUrl' => '<string>'
]
],
'timezone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/applications/{id}/interviews/{entryId}"
payload := strings.NewReader("{\n \"at\": \"2023-11-07T05:31:56Z\",\n \"durationMinutes\": 722,\n \"location\": \"<string>\",\n \"notes\": \"<string>\",\n \"participants\": [\n {\n \"name\": \"<string>\",\n \"role\": \"\",\n \"profileUrl\": \"<string>\"\n }\n ],\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://rxresu.me/api/openapi/applications/{id}/interviews/{entryId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"at\": \"2023-11-07T05:31:56Z\",\n \"durationMinutes\": 722,\n \"location\": \"<string>\",\n \"notes\": \"<string>\",\n \"participants\": [\n {\n \"name\": \"<string>\",\n \"role\": \"\",\n \"profileUrl\": \"<string>\"\n }\n ],\n \"timezone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/applications/{id}/interviews/{entryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"at\": \"2023-11-07T05:31:56Z\",\n \"durationMinutes\": 722,\n \"location\": \"<string>\",\n \"notes\": \"<string>\",\n \"participants\": [\n {\n \"name\": \"<string>\",\n \"role\": \"\",\n \"profileUrl\": \"<string>\"\n }\n ],\n \"timezone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"company": "<string>",
"role": "<string>",
"location": "<string>",
"salary": "<string>",
"status": "saved",
"closedReason": "accepted",
"resumeId": "<string>",
"coverLetterId": "<string>",
"sentResumeVersionId": "<string>",
"sentCheckScore": 0,
"sentCoverLetterVersionId": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"sourceUrl": "<string>",
"jobDescription": "<string>",
"postingSource": {
"method": "paste",
"format": "text",
"truncated": true,
"completeness": "unknown",
"requestedUrl": "<string>",
"resolvedUrl": "<string>",
"retrievedAt": "2023-11-07T05:31:56Z",
"providerFetchedAt": "2023-11-07T05:31:56Z",
"language": "<string>",
"fallbackReason": "unsafe-url"
},
"postingFileUrl": "<string>",
"postingFileName": "<string>",
"requirements": [
"<string>"
],
"matchScore": 50,
"aiMetadata": {},
"notes": "<string>",
"resumeFileUrl": "<string>",
"resumeFileName": "<string>",
"coverLetterUrl": "<string>",
"coverLetterName": "<string>",
"followUpAt": "2023-11-07T05:31:56Z",
"followUpNote": "<string>",
"contacts": [
{
"name": "<string>",
"role": "",
"type": "",
"email": "",
"phone": ""
}
],
"activity": [
{
"id": "<string>",
"at": "2023-11-07T05:31:56Z",
"type": "stage",
"stage": "saved",
"laneId": "<string>",
"laneLabel": "<string>",
"closedReason": "accepted",
"canonicalTransition": true,
"dateUnknown": true,
"writeSequence": 0
}
],
"appliedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"laneId": "<string>",
"followUpDateOnly": true,
"trashedAt": "2023-11-07T05:31:56Z",
"replyVersion": "<string>",
"contactsVersion": "<string>"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
Body
application/json
Response
The updated application.